cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/logexport \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"spec": {
"auth_principal": "<string>",
"groups": [
{
"channels": [
"<string>"
],
"log_name": "<string>",
"min_level": "LOG_LEVEL_UNSPECIFIED",
"redact": true
}
],
"log_name": "<string>",
"redact": true,
"region": "<string>",
"type": "AWS_CLOUDWATCH"
},
"status": "DISABLED",
"updated_at": "2023-11-07T05:31:56Z",
"user_message": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Delete the Log Export configuration for a cluster
DELETE
/
api
/
v1
/
clusters
/
{cluster_id}
/
logexport
cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/logexport \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"spec": {
"auth_principal": "<string>",
"groups": [
{
"channels": [
"<string>"
],
"log_name": "<string>",
"min_level": "LOG_LEVEL_UNSPECIFIED",
"redact": true
}
],
"log_name": "<string>",
"redact": true,
"region": "<string>",
"type": "AWS_CLOUDWATCH"
},
"status": "DISABLED",
"updated_at": "2023-11-07T05:31:56Z",
"user_message": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
LogExportClusterInfo contains a package of information that fully describes both the intended state of the log export configuration for a specific cluster but also some metadata around its deployment status, any error messages, and some timestamps.
LogExportClusterSpecification contains all the data necessary to configure log export for an individual cluster. Users would supply this data via the API and also receive it back when inspecting the state of their log export configuration.
Show child attributes
Show child attributes
LogExportStatus encodes the possible states that a configuration can be in as it is created, deployed, and disabled.
Available options:
DISABLED, DISABLING, DISABLE_FAILED, ENABLED, ENABLING, ENABLE_FAILED 
